<?php
session_start();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Documento sin t&iacute;tulo</title>

<script src="assets/js/funciones.js"></script>


<style type="text/css">
<!--
body {cursor: default; } 

.Estilo16 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 13px;
	letter-spacing: -1px;
}
.Estilo20 {color: #FFFFFF; font-family: Arial, Helvetica, sans-serif; font-weight: normal; font-size: 14px; }
-->
</style>
</head>



<body>
<table width="681" border="0" cellpadding="1" cellspacing="1">
  <tr>
    <td width="6" height="31" bgcolor="#397AA8"><div align="center"></div></td>
    <td width="66" bgcolor="#397AA8"><div align="center">
      <div align="center"><span class="Estilo20">Nro. de cotizaci&oacute;n  </span></div>
    </div></td>
    <td width="132" bgcolor="#397AA8"><div align="center">
      <div align="center"><span class="Estilo20">Cliente </span></div>
    </div></td>
    <td width="115" bgcolor="#397AA8"><div align="center"><span class="Estilo20">Fecha</span></div></td>
    <td width="80" bgcolor="#397AA8"><div align="center"><span class="Estilo20">Situaci&oacute;n de cotizaci&oacute;n </span></div></td>
    <td width="60" bgcolor="#397AA8"><div align="center"><span class="Estilo20">Vigencia</span></div></td>
    <td width="111" bgcolor="#397AA8"><div align="center"><span class="Estilo20">Anotaciones</span></div></td>
    <td width="63" bgcolor="#397AA8"><div align="center"><span class="Estilo20">Monto</span></div></td>
    <td width="20" bgcolor="#397AA8">&nbsp;</td>
  </tr>
  
  

	<?
	@$xid=$_REQUEST['xid'];
	@$xaccion22=$_REQUEST['xaccion22'];
	//@$xcriterio22=trim($_REQUEST['xcriterio22']);
	@$xcriterio22=trim($_REQUEST['xcriterio222']);
	@$xop2=trim($_REQUEST['xop2']);	
	
	include("conexion.php");
	
	$xopetip_codi_fk_2 = $_SESSION['s_operaciontipo'];
	$xdoctip_codi_fk_2 = $_SESSION['s_documentotipo'];
	
	@$xs_empresa=$_SESSION['s_empresa'];
	
	
	if(isset($xaccion22)){

		/*		
		$result1=mysqli_query($conexion,"SELECT o.*, p.per_codi, p.per_nombre_comercial, SUM(cotdet_precio * cotdet_cantidad) AS monto, datediff(now(),cot_fecha) AS dias  
										FROM cotizaciones o 
										INNER JOIN personas p ON o.per_codi_fk=p.per_codi 
										INNER JOIN cotizaciones_detalle opd ON opd.cot_codi_fk=o.cot_codi 
										WHERE o.emp_codi_fk=$xs_empresa and o.cot_estado=1 
										and (o.cot_numero like '%$xcriterio22%' 
										OR p.per_nombre_comercial like '%$xcriterio22%' 
										OR p.per_razon_social like '%$xcriterio22%' 
										OR p.per_ruc like '%$xcriterio22%' 
										OR p.per_nombre like '%$xcriterio22%' 
										OR p.per_apellido like '%$xcriterio22%' 
										OR o.cot_anotaciones like '%$xcriterio22%') 
										GROUP BY o.cot_codi 
										ORDER BY o.cot_fecha DESC, cot_codi DESC;");
		*/								
		
		$result1=mysqli_query($conexion,"SELECT o.*, p.per_codi, p.per_nombre_comercial, SUM(cotdet_precio * cotdet_cantidad) AS monto, datediff(now(),cot_fecha) AS dias  
										FROM cotizaciones o 
										INNER JOIN personas p ON o.per_codi_fk=p.per_codi 
										INNER JOIN cotizaciones_detalle opd ON opd.cot_codi_fk=o.cot_codi 
										WHERE o.cot_estado=1 
										and (o.cot_numero like '%$xcriterio22%' 
										OR p.per_nombre_comercial like '%$xcriterio22%' 
										OR p.per_razon_social like '%$xcriterio22%' 
										OR p.per_ruc like '%$xcriterio22%' 
										OR p.per_nombre like '%$xcriterio22%' 
										OR p.per_apellido like '%$xcriterio22%' 
										OR o.cot_anotaciones like '%$xcriterio22%') 
										GROUP BY o.cot_codi 
										ORDER BY o.cot_fecha DESC, cot_codi DESC;");		
			
	}else{
		
		//$result1=mysqli_query($conexion,"SELECT o.*, p.*, pt.*, dp.*, SUM(ordpeddet_precio * ordpeddet_cantidad) AS monto,  SUM(ordpeddet_cantidad) AS cantidad_total  FROM orden_pedido o INNER JOIN personas p ON o.per_codi_fk=p.per_codi INNER JOIN pago_tipo pt ON o.pagtip_codi_fk=pt.pagtip_codi INNER JOIN orden_pedido_detalle opd ON opd.ordped_codi_fk=o.ordped_codi INNER JOIN documento_pago dp ON dp.docpag_codi=o.docpag_codi_fk WHERE o.ordped_numero='9999999999' GROUP BY o.ordped_codi ORDER BY o.ordped_fecha DESC, ordped_numero DESC");
		
		$result1=mysqli_query($conexion,"SELECT o.*, p.*, SUM(cotdet_precio * cotdet_cantidad) AS monto, datediff(now(),cot_fecha) AS dias FROM cotizaciones o INNER JOIN personas p ON o.per_codi_fk=p.per_codi INNER JOIN cotizaciones_detalle opd ON opd.cot_codi_fk=o.cot_codi WHERE o.emp_codi_fk=$xs_empresa and  o.cot_estado=1 and 1=0 GROUP BY o.cot_codi ORDER BY o.cot_fecha DESC, cot_codi DESC;");
		
	
	}
	
	$nregistros = mysqli_num_rows($result1);

	$nn=0;
	$nreg_total=0;
	while($row1=mysqli_fetch_array($result1)){
		/*
		$nn=$nn+1;
		
		$nreg_total = $nreg_total + 1;
		
		$xcot_codi=$row1['cot_codi'];
		
		$r_atendida=0;
		$r_atendida=mysqli_query($conexion,"SELECT 1 FROM orden_pedido o WHERE cot_codi_fk=$xcot_codi limit 1;");
		
		if(mysqli_num_rows($r_atendida)>0){
			//$xentrega="COMPLETA";													
			$xcolor_entrega ="#009900";													
		
		}else{
			//$xentrega="PENDIENTE";													
			$xcolor_entrega ="#CC0000";
															
		}												
		

		if($row1['cot_dias'] > $row1['dias']){
			$xcolor_vigencia ="#009900";													
		}else{
			$xcolor_vigencia ="#CC0000";
		}
		*/
		
		
		$nn=$nn+1;
		
		$nreg_total = $nreg_total + 1;
		
		$xcot_codi=$row1['cot_codi'];
		
		$r_atendida=0;
		$r_atendida=mysqli_query($conexion,"SELECT * FROM orden_pedido o WHERE cot_codi_fk=$xcot_codi limit 1;");
		
		if(mysqli_num_rows($r_atendida)>0){
			//$xentrega="COMPLETA";													
			$xcolor_entrega ="#009900";													
		
		}else{
			//$xentrega="PENDIENTE";													
			$xcolor_entrega ="#CC0000";
															
		}												
		

		if($row1['cot_dias'] > $row1['dias']){
			$xcolor_vigencia ="#009900";													
		}else{
			$xcolor_vigencia ="#CC0000";
		}
		
		//$xper_ruc = $row1['per_ruc']
		$xcot_cadena_datos = $row1['cot_cadena_datos'];
		
		$xnew_cadena = explode("|_|-|", $xcot_cadena_datos);
		
		@$xnew_nombre_comercial = $xnew_cadena[0];
		@$xnew_telefono = $xnew_cadena[1];
		@$xnew_email = $xnew_cadena[2];		
		@$xnew_ruc = $xnew_cadena[3];
		@$xnew_direccion = $xnew_cadena[4];
		
		if(strlen(trim($xnew_ruc))==8){
			$xnew_tipo_docu = 1;
		}else{
			if(strlen(trim($xnew_ruc))==11){
				$xnew_tipo_docu = 6;
			}else{
				$xnew_tipo_docu = 0;
			}	
		}	
		
		$yper_codi = $row1['per_codi'];
		$r_verifica_ruc = mysqli_query($conexion,"SELECT * FROM personas p WHERE per_ruc='$xnew_ruc';");
		if(mysqli_num_rows($r_verifica_ruc)>0){
						
			while($row_verifica_ruc = mysqli_fetch_array($r_verifica_ruc)){			
				$yper_codi = $row_verifica_ruc['per_codi'];		
				$xverificacion_estado = 1;
				$xverificacion = $xnew_ruc." existente";
			}
		}else{
			$xverificacion_estado = 0;		
			$xverificacion = $xnew_ruc." nuevo";			
		}
		
			
		
	?>
   
  <tr id="tr<?php echo $nn;?>" style=" cursor:default; background-color:#FFFFFF;" ondblclick="parent.parent.hay_cambios_almacen(); 
    
  <?php

if($row1['cot_origen']==0 or $row1['per_codi_fk']!=338){
?>
agregar_cotizacion_item_pedido('<?php echo $row1['cot_codi'];?>',
							'<?php echo $row1['per_codi'];?>',
							'',
							'',
							'',
							'',
							'<?php echo $row1['cot_numero'];?>' );						
<?php
}else{	
?>	
	<?php
	if($xverificacion_estado==1){
	?>
  agregar_cotizacion_item_pedido('<?php echo $row1['cot_codi'];?>',
  								'<?php echo $yper_codi;?>',
								'',
								'',
								'',
								'',
								'<?php echo $row1['cot_numero'];?>' );
								
	<?php
	}else{	
	?>	
	
		agregar_cotizacion_item_pedido('<?php echo $row1['cot_codi'];?>',
									'<?php echo $row1['per_codi'];?>',
									'',
									'',
									'',
									'',
									'<?php echo $row1['cot_numero'];?>' );
		
	
	  	parent.parent.adicionar_cliente_pedido('adicionar');
	  	parent.parent.document.getElementById('d_cliente_registra').style.display='block';
		parent.parent.document.getElementById('d_cliente_busca').style.display='none';
		parent.parent.document.getElementById('xnombres').value = '<?php echo $xnew_nombre_comercial; ?>';
		parent.parent.document.getElementById('xrazonsocial').value = '<?php echo $xnew_nombre_comercial; ?>';							
		parent.parent.document.getElementById('xper_ruc_dni_tipo').value = '<?php echo $xnew_tipo_docu; ?>';	
		parent.parent.document.getElementById('xruc').value = '<?php echo $xnew_ruc; ?>';	
		parent.parent.document.getElementById('xtelefono1').value = '<?php echo $xnew_telefono; ?>';			
		parent.parent.document.getElementById('xdireccion1').value = '<?php echo $xnew_direccion; ?>';			
																			
		parent.parent.document.getElementById('xnombres').focus();
		
		 
		parent.parent.vericar_cliente_ruc(parent.parent.document.getElementById('xruc').value,
											parent.parent.document.getElementById('xaccion4').value,
											'pedidos');

	<?php
	}
}	
	?>	
																  
								
								" 																
								
								onMouseOver="resaltar('#F9F38A',this.id);" onMouseOut="resaltar('#FFFFFF',this.id);" >
  

    <td class="Estilo16"></td>
    <td class="Estilo16"><?php echo $row1['cot_numero']; ?></td>
    <td class="Estilo16"><a href="#"  onclick="parent.parent.hay_cambios_almacen(); 


  <?php

if($row1['cot_origen']==0 or $row1['per_codi_fk']!=338){
?>
agregar_cotizacion_item_pedido('<?php echo $row1['cot_codi'];?>',
							'<?php echo $row1['per_codi'];?>',
							'',
							'',
							'',
							'',
							'<?php echo $row1['cot_numero'];?>' );						
<?php
}else{	
?>	
	<?php
	if($xverificacion_estado==1){
	?>
  agregar_cotizacion_item_pedido('<?php echo $row1['cot_codi'];?>',
  								'<?php echo $yper_codi;?>',
								'',
								'',
								'',
								'',
								'<?php echo $row1['cot_numero'];?>' );
								
	<?php
	}else{	
	?>	
	
		agregar_cotizacion_item_pedido('<?php echo $row1['cot_codi'];?>',
									'<?php echo $row1['per_codi'];?>',
									'',
									'',
									'',
									'',
									'<?php echo $row1['cot_numero'];?>' );
		
	
	  	parent.parent.adicionar_cliente_pedido('adicionar');
	  	parent.parent.document.getElementById('d_cliente_registra').style.display='block';
		parent.parent.document.getElementById('d_cliente_busca').style.display='none';
		parent.parent.document.getElementById('xnombres').value = '<?php echo $xnew_nombre_comercial; ?>';
		parent.parent.document.getElementById('xrazonsocial').value = '<?php echo $xnew_nombre_comercial; ?>';							
		parent.parent.document.getElementById('xper_ruc_dni_tipo').value = '<?php echo $xnew_tipo_docu; ?>';	
		parent.parent.document.getElementById('xruc').value = '<?php echo $xnew_ruc; ?>';	
		parent.parent.document.getElementById('xtelefono1').value = '<?php echo $xnew_telefono; ?>';			
		parent.parent.document.getElementById('xdireccion1').value = '<?php echo $xnew_direccion; ?>';			
																			
		parent.parent.document.getElementById('xnombres').focus();
		
		 
		parent.parent.vericar_cliente_ruc(parent.parent.document.getElementById('xruc').value,
											parent.parent.document.getElementById('xaccion4').value,
											'pedidos');

	<?php
	}
}	
	?>	
								
								"  ><?php echo $row1['per_nombre_comercial']; ?></a></td>
	
	
    <td class="Estilo16"><?php echo date("d/m/Y H:i:s",strtotime($row1['cot_fechahora'])); ?></td>
		  
		  
    <td class="Estilo16"><div align="left">
      <div align="center" style="color:<?php echo $xcolor_entrega;?>;">
        <?php 		  
		  if(mysqli_num_rows($r_atendida)>0){		  
			echo "ATENDIDA";
		  }else{
			echo "PENDIENTE";
		  }
		  
		  ?>
      </div>
    </div></td>
    <td class="Estilo16"><div align="left">
      <div align="center" style="color:<?php echo $xcolor_vigencia;?>;">
        <?php 		  
		  if($row1['cot_dias'] > $row1['dias']){
			echo "VIGENTE";
		  }else{
			echo "VENCIDA";
		  }
		  
		  ?>
      </div>
    </div></td>
    <td class="Estilo16"><div align="left"><?php echo $row1['cot_anotaciones'];?></div></td>
    <td class="Estilo16"><div align="right"><?php echo number_format($row1['monto'],2,'.',','); ?></div></td>
    <td class="Estilo16"><div align="left"></div></td>
  </tr>
  
	<?
	}			
	?>
	
	<script language="javascript">
	parent.document.getElementById('d_nregistros_pendientes').innerHTML="<?php echo $nreg_total;?> cotizaciones encontradas";
	</script>	
</table>


<div align="left">
  <iframe id="frame_almacen_detalle_busqueda" name="frame_almacen_detalle_busqueda" width="10" height="10" frameborder="0" scrolling="No" marginheight="0" marginwidth="0" allowtransparency="AllowTransparency"></iframe>
</div>

</body>
</html>
